Subject: bug#8725: imenu--split-menu should not deliver surprises

From: Hui Liu <[email-masked]>
Date: Sun, 13 Apr 2014 11:44:36 +0800

I don't think it is better because it meaninglessly increases the
depth of menus. In fact, this problem mainly occurs in writing related
modes, and it is caused by the unreasonable sort in imenu--split-menu
instead of menus provided by these modes.

Is there any reason to put items with the submenu on top
indiscriminately? At least Imenu could provide an option about whether
to do so without regard to the original order of items. Then let the
major mode decide.

2014-04-13 4:03 GMT+08:00 Stefan Monnier <[email-masked]>:
>> and the reason is Imenu put items with submenus at the top. Such
>> behaviour may be reasonable for programming modes, but is clearly
>> unnecessary for text modes.
>
> Actually it doesn't have much to do with text-modes vs programming-modes
> but with the way the menu is built.  E.g. the menu could look like
>
>    Index
>    |- ...
>    Section 1
>    Section 2
>    Section 3
>
> if org-mode provided an "Index" submenu, in which case it would make a lot
> of sense to put it on top.  So a better option is to let the major
> mode decide.
>
>
>         Stefan